Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface Layer

All Superinterfaces:
  AVList, Disposable, EventListener, PropertyChangeListener, WWObject

All Known Implementing Classes:
  AbstractLayer, BMNGSurfaceLayer, CompassLayer, EarthNASAPlaceNameLayer, IconLayer, LandsatI3, PlaceNameLayer, PoliticalBoundariesLayer, RenderableLayer, RpfLayer, TiledImageLayer, TrackLayer, USGSDigitalOrtho, USGSUrbanAreaOrtho

    public interface Layer

extends WWObject, Disposable

Method Summary
`String` | `getName()`
`double` | `getOpacity()`
`boolean` | `isEnabled()`
`boolean` | `isPickEnabled()`
`void` | `pick(DrawContext dc, Point pickPoint)`
`void` | `render(DrawContext dc)`
`void` | `setEnabled(boolean enabled)`
`void` | `setName(String name)`
`void` | `setOpacity(double opacity)`
`void` | `setPickEnabled(boolean isPickable)`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Methods inherited from interface gov.nasa.worldwind.Disposable
`dispose`

Method Detail

### getName

    String getName()

### getOpacity

    double getOpacity()

### isEnabled

    boolean isEnabled()

### isPickEnabled

    boolean isPickEnabled()

### pick

    void pick(DrawContext dc,
              Point pickPoint)

### render

    void render(DrawContext dc)

### setEnabled

    void setEnabled(boolean enabled)

### setName

    void setName(String name)

### setOpacity

    void setOpacity(double opacity)

### setPickEnabled

    void setPickEnabled(boolean isPickable)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD